<?php

// Always set cookies before any data or HTML are printed to the page

$visited = (int)$_COOKIE['pageVisits'] + 1;

setcookie(	'pageVisits',				// Name of the cookie, required
		  	$visited,					// The value of the cookie
			time()+7*24*60*60,			// Expiration time, set for a week in the future
			'/',						// Folder path, the cookie will be available for all scripts in every folder of the site
			'demo.tutorialzine.com');	// Domain to which the cookie will be locked

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>MicroTut: Getting And Setting Cookies With jQuery &amp; PHP | Tutorialzine demo</title>

<link rel="stylesheet" type="text/css" href="styles.css" />

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
<script type="text/javascript" src="jquery.cookie.js"></script>
<script type="text/javascript">

$(document).ready(function(){
	
	var cookie = $.cookie('demoCookie');
	
	// If the cookie has been set in a previous page load, show it in the div directly:
	if(cookie) $('.jq-text').text(cookie).show();
	
						   
	$('.fields a').click(function(e){
		var text = $('#inputBox').val();
		
		// Setting a cookie with a seven day validity:
		$.cookie('demoCookie',text,{expires: 7, path: '/', domain: 'demo.tutorialzine.com'});
		
		$('.jq-text').text(text).slideDown('slow');
		
		e.preventDefault();
	});
	
	$('#form1').submit(function(e){ e.preventDefault(); })
})

</script>

</head>

<body>
<h1>MicroTut: Getting And Setting Cookies With jQuery &amp; PHP</h1>
<h2>Go Back <a href="http://tutorialzine.com/2010/03/microtut-getting-setting-cookies-jquery-php/">To The Tutorial &raquo;</a></h2>

<div class="section">
	<div class="counter"><?php echo $visited?></div>
    <p>The number above indicates how many times you've visited this page (PHP cookie). Reload to test.</p>
</div>


<div class="section">
	
    <div class="jq-text"></div>

	<form action="" method="get" id="form1">
    	<div class="fields">
	        <input type="text" id="inputBox" />
            <a href="">Save</a>
        </div>
    </form>
    <p>Write some text in the field above and click Save. It will be saved between page reloads with a jQuery cookie.</p>
</div>

</body>
</html>
